%define xsessiondir %{_datadir}/xsessions

Summary: Utilities for the XFce Desktop Environment
Name: xfce-utils
Version: 4.2.0
Release: 1
License: GPL
URL: http://www.xfce.org/
Source0: http://www.xfce.org/archive/xfce-4.0.1/src/%{name}-%{version}.tar.bz2
Source1: xfce4.desktop
Patch: xfce-utils-misc.patch
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: xfce-mcs-manager
Requires: xfwm4
Requires: xfdesktop
Requires: /usr/bin/id
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: libxfce4mcs-devel >= %{version}
BuildRequires: xfce-mcs-manager-devel

%description
This package includes utilities for the XFce Desktop Environment

%prep
%setup -q

#%patch -p1 -b .misc

%build
%configure --enable-gdm

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{xsessiondir}

make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{xsessiondir}/xfce.desktop

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{xsessiondir}/

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/X11

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%attr(0755,root,root) %{_sysconfdir}/xdg/xfce4
%{_bindir}/*
%{_libdir}/xfce4/mcs-plugins/*
%{_datadir}/apps/switchdesk/*
%{_datadir}/xfce4
%{_datadir}/icons/*/*/*
%{_datadir}/applications/*
%{xsessiondir}/*

%changelog
* Thu Jan 27 2005 Than Ngo <than@redhat.com> 4.2.0-1
- 4.2.0

* Thu Dec 02 2004 Than Ngo <than@redhat.com> 4.0.6-3
- permission fix #141597

* Mon Nov 22 2004 Than Ngo <than@redhat.com> 4.0.6-2
- add session desktop file from KDE, better translations
- improve xfterm4 #139183

* Mon Jul 19 2004 Than Ngo <than@redhat.com> 4.0.6-1
- update to 4.0.6
- use %%find_lang macros, bug #124950
- fix component deps, bug #125744
- don't run xmodmap twice, bug #115500

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Tue Jan 13 2004 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3 release

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build

